## mozilla-firefox-locale-tr 1.0ubuntu1

=== debian/changelog ===
mozilla-firefox-locale-tr (1.0ubuntu1) hoary; urgency=low

  * Added alternative dependency to language-support-tr, changed the versioned
    Depends to a versioned Conflicts. This makes it work smoothly with
    language-support-tr.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Jan 2005 15:39:38 +0100

mozilla-firefox-locale-tr (1.0) unstable; urgency=critical

  * New upstream.
  * Bump to new policy.
  * Rewrite the build system for 1.0 based on -locale-it package.
  * Recode the maintainer name as UTF-8.
  * Urgency "critical" to get Firefox 1.0 into Sarge.

 -- Recai Oktaş <roktas@omu.edu.tr>  Tue, 14 Dec 2004 16:53:48 +0200

mozilla-firefox-locale-tr (0.9.1-1) unstable; urgency=low

  * New upstream.

 -- Recai Oktaş <roktas@omu.edu.tr>  Mon, 26 Jul 2004 20:00:32 +0300

mozilla-firefox-locale-tr (0.8-1) unstable; urgency=low

  * Initial release.  (Closes: #251529)

 -- Recai Oktaş <roktas@omu.edu.tr>  Sat, 29 May 2004 01:05:04 +0300
