=== debian/control ===
Source: mozilla-firefox-locale-tr
Section: web
Priority: optional
Maintainer: Recai Oktaş <roktas@omu.edu.tr>
Build-Depends-Indep: debhelper, unzip
Standards-Version: 3.6.1.1

Package: mozilla-firefox-locale-tr
Architecture: all
Depends: mozilla-firefox | language-support-tr
Conflicts: mozilla-firefox (< 1.0), mozilla-firefox (>= 1.1)
Description: Mozilla Firefox Turkish Language/Region Package
 Turkish Menu/Message resource and Region property package for
 Mozilla Firefox.
 .
 Homepage: http://mozilla.org.tr
