## mozilla-firefox-locale-tr 1.0-0ubuntu0.1

=== debian/changelog ===
mozilla-firefox-locale-tr (1.0-0ubuntu0.1) warty-security; urgency=low

  * Warty got 1.0.6 security update, language packs must be upgraded.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Jul 2005 09:16:01 +0000

mozilla-firefox-locale-tr (0.9.1-1ubuntu1) warty; urgency=low

  * Build for warty

 -- Thom May <thom@canonical.com>  Mon, 11 Oct 2004 14:59:12 +0100
