=== debian/control ===
Source: mozilla-firefox-locale-tr
Section: web
Priority: optional
Maintainer: Recai Oktas <roktas@omu.edu.tr>
Build-Depends-Indep: debhelper (>> 4.0.0), unzip (>> 5.0)
Standards-Version: 3.6.1

Package: mozilla-firefox-locale-tr
Architecture: all
Depends: mozilla-firefox (>= 0.99+1.0PR.1+revertedto0.9.3)
Description: Mozilla Firefox Turkish Language/Region Package
 Turkish Menu/Message resource and Region property package for Mozilla 
 Firefox 0.9.1.
